BITS 64

GLOBAL start

MAGIC_NUMBER equ 0x1BADB002
MB_FLAG equ 0x0
MB_CHECKSUM equ - (MAGIC_NUMBER + MB_FLAG)

section .multiboot  ; according to multiboot spec
    dd MAGIC_NUMBER ; set magic number
    dd MB_FLAG      ; set flags
    dd MB_CHECKSUM  ; set checksum

section .text
extern main                      ;defined in the C file

start:
    cli                      ;block interrupts
    mov esp, stack_space     ;set stack pointer
    call main
    hlt                      ;halt the CPU

section .bss
resb 8192                        ;8KB for stack
stack_space: